<?php
include "includes/db.php";
include "includes/auth.php";
$msg="";
if (isset($_POST["add_expense"])) {
  $type=$con->real_escape_string($_POST["vtype"]);
  $expense_type=$con->real_escape_string($_POST["expense_type"]);
  $expense_date=$con->real_escape_string($_POST["expense_date"]);
  $expense_amount=$con->real_escape_string($_POST["amount"]);
  $vehicle_no=$con->real_escape_string($_POST["vehicle_no"]);
  $driver_name=$con->real_escape_string($_POST["driver_name"]); 
  $description=$con->real_escape_string($_POST["description"]);
  $query="INSERT INTO `expenses`(`type`,`expense_type`, `expense_date`, `expense_amount`, `description`, `vehicle_no`, `driver_name`) VALUES ('$type','$expense_type','$expense_date','$expense_amount','$description','$vehicle_no','$driver_name')";
  if ($con->query($query) === TRUE) {
            $msg .="<div class='alert alert-success'>Expense Record Has Been Added Successfully.</div>";
        } else {
             $msg .="Error: " . $query . "<br>" . $con->error;
        }      
}

 ?>
<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="utf-8">
  <meta content="width=device-width, initial-scale=1.0" name="viewport">

  <title>Dashboard - Add Expense</title>
  <?php include "includes/links.php"; ?>

</head>

<body>

  <?php include "includes/header.php"; ?>
  <?php include "includes/sidebar.php"; ?>


  <main id="main" class="main">

    <div class="pagetitle">
      <h1>Dashboard</h1>
      <nav>
        <ol class="breadcrumb">
          <li class="breadcrumb-item"><a href="dashboard.php">Home</a></li>
          <li class="breadcrumb-item active">Add Expense</li>
        </ol>
      </nav>
    </div><!-- End Page Title -->

    <section class="section dashboard">
      <div class="row">

        <!-- Left side columns -->
        <div class="col-lg-12">
          
          <div class="card">
            <div class="card-body">
              <h5 class="card-title">Add Expense Information</h5>
              <?php if(isset($msg)){ echo $msg; } ?>
              <!-- No Labels Form -->
              <form class="row g-3" method="POST">
                <div class="col-md-6">
                  <label for="type" class="form-label">Type:</label>
                  <select class="form-select" id="type"  name="vtype">
                    <option value="" selected disabled>Select Any Type</option>
                    <option value="Vehicle">Vehicle</option>
                    <option value="Rickshaw">Rickshaw</option>
                  </select>
                </div>
                <div class="col-md-6">
                  <label for="expense_type" class="form-label">Expense Type:</label>
                  <select class="form-select" id="expense_type"  name="expense_type">
                    <option value="" selected disabled>Select Any Expense Type</option>
                    <option value="Fuel Exp">Fuel Exp</option>
                    <option value="Maintenance Exp">Maintenance Exp</option>
                    <option value="Driver's Daily Exp">Driver's Daily Exp</option>
                    <option value="Miscellaneous">Miscellaneous</option>
                  </select>
                </div>
                <div class="col-md-6">
                  <label for="date" class="form-label">Date:</label>
                  <input type="date" class="form-control" name="expense_date" value="<?php echo date('Y-m-d'); ?>">
                </div>
                <div class="col-md-6">
                  <label for="amount" class="form-label">Amount  <small>(PKR)</small>:</label>
                  <input type="text" class="form-control" id="amount"  name="amount">
                </div>
                <div class="col-md-6">
                  <label for="driver_name" class="form-label">Driver Name:</label>
                  <input type="text" class="form-control" id="driver_name"  name="driver_name">
                </div>
                <div class="col-md-6">
                  <label for="vehicle_no" class="form-label">Vehicle No:</label>
                  <input type="text" class="form-control" id="vehicle_no"  name="vehicle_no">
                </div>
                <div class="col-md-12">
                  <label for="description" class="form-label">Description:</label>
                  <textarea class="form-control" rows="3" name="description" id="description" spellcheck="false"></textarea>
                </div>
                
                <div class="text-right">
                  <button type="submit" class="btn btn-primary" name="add_expense">Add Expense</button>
                </div>
              </form><!-- End No Labels Form -->

            </div>
          </div>
        </div><!-- End Left side columns -->

        

      </div>
    </section>

  </main><!-- End #main -->

  <?php include "includes/footer.php"; ?>

  <?php include "includes/scripts.php"; ?>

</body>

</html>