<?php
include "includes/db.php";
include "includes/auth.php";
$msg="";
if (isset($_POST["add_discount"])) {
  
  $description=$con->real_escape_string($_POST["description"]);
  $amount=$con->real_escape_string($_POST["amount"]);
  $discount_date=$con->real_escape_string($_POST["discount_date"]);
  $name=$con->real_escape_string($_POST["name"]); 
  
  $query="INSERT INTO `recovery`(`name`, `description`, `payment`, `date`) VALUES ('$name','$description','$amount','$discount_date')";
  if ($con->query($query) === TRUE) {
            $msg .="<div class='alert alert-success'>Recovery Record Has Been Added Successfully.</div>";
        } else {
             $msg .="Error: " . $query . "<br>" . $con->error;
        }      
}



if (isset($_POST["delete"])) {
  $recovery_id=$_POST['recovery_id'];
  $query="DELETE FROM `recovery` WHERE `recovery_id` = '$recovery_id'";
  if ($con->query($query) === TRUE) {
            $msg .="<div class='alert alert-success'>TPR Has Been Deleted Successfully.</div>";
        } else {
             $msg .="Error: " . $query . "<br>" . $con->error;
        } 
}

 ?>


<?php
// Below is optional, remove if you have already connected to your database.
$mysqli = mysqli_connect('localhost', $username,$password,$database);

$quer="SELECT * FROM recovery ORDER By recovery_id desc"; 

$total_pages = $mysqli->query($quer)->num_rows;

// Check if the page number is specified and check if it's a number, if not return the default page number which is 1.
$page = isset($_GET['page']) && is_numeric($_GET['page']) ? $_GET['page'] : 1;

// Number of results to show on each page.
$num_results_on_page = 25;
 $que="SELECT * FROM recovery ORDER BY recovery_id DESC LIMIT ?,?";


if ($stmt = $mysqli->prepare($que)) {
   // Calculate the page to get the results we need from our table.
   $calc_page = ($page - 1) * $num_results_on_page;
   $stmt->bind_param('ii', $calc_page, $num_results_on_page);
   $stmt->execute(); 
   // Get the results...
   $result = $stmt->get_result();
   ?>

<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="utf-8">
  <meta content="width=device-width, initial-scale=1.0" name="viewport">

  <title>Dashboard - Company Discounts</title>
  <?php include "includes/links.php"; ?>
  <style type="text/css">
    .bg-danger {
          --bs-bg-opacity: 1;
          background-color: rgb(247 210 213) !important;
      }
    .bg-success {
          --bs-bg-opacity: 1;
          background-color: rgb(168 223 197) !important;
      }
  </style>
</head>

<body>

  <?php include "includes/header.php"; ?>
  <?php include "includes/sidebar.php"; ?>


  <main id="main" class="main">

    <div class="pagetitle">
      <h1>Dashboard</h1>
      <nav>
        <ol class="breadcrumb">
          <li class="breadcrumb-item"><a href="dashboard.php">Home</a></li>
          <li class="breadcrumb-item active">Recovery List</li>
        </ol>
      </nav>
    </div><!-- End Page Title -->

    <section class="section dashboard">
      <button class="btn btn-primary btn-sm mb-2"  data-bs-toggle="modal" data-bs-target="#add_discount">Add Recovery</button>
      <div class="row">
        <!-- Left side columns -->
        <div class="col-lg-12">
          
          <div class="card">
            <div class="card-body">
              <h5 class="card-title">Recovery List</h5>
              <?php if(isset($msg)){ echo $msg; } ?>
              <!-- No Labels Form -->
                <div class="col-md-12">
                  <table class="table datatable table-striped">
                <thead>
                  <tr>
                    <th>Name</th>
                    <th>Description</th>
                    <th>Amount</th>
                    <th>Date</th>
                    <th>Action</th>
                  </tr>
                </thead>
                <tbody>
                   <?php 
                      $total_debit=0;
                      $total_credit=0;
                   while ($fetch = $result->fetch_assoc()):
                      ?>
                  <tr>
                    <td><?php echo $fetch["name"]; ?></td>
                     <td><?php echo $fetch["description"]; ?></td>
                    <td><?php echo number_format($fetch["payment"],2); ?></td>
                    <td><?php echo $fetch["date"]; ?></td>
                    <td>
                     <!-- <button class="btn btn-primary btn-sm"  data-bs-toggle="modal" data-bs-target="#edit_modal<?php echo $fetch["tpr_id"]; ?>"><i class="ri-edit-box-line"></i></button>-->
                      <button class="btn btn-danger btn-sm"  data-bs-toggle="modal" data-bs-target="#delete_modal<?php echo $fetch["recovery_id"]; ?>"><i class="ri-delete-bin-2-fill"></i></button>
                    </td>

              <div class="modal fade" id="edit_modal<?php echo $fetch["recovery_id"]; ?>" tabindex="-1">
                <div class="modal-dialog modal-xl">
                  <div class="modal-content">
                    <div class="modal-header">
                      <h5 class="modal-title"><?php echo $fetch["description"]; ?></h5>
                      <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                    </div>
                    <div class="modal-body">
                      <form method="POST">
                        <div class="row">
                          <input type="hidden" name="recovery_id" value="<?php echo $fetch["recovery_id"]; ?>"> 
                           <div class="row">
                                                     
                          <div class="col-md-6">
                              <label for="Amount" class="form-label">Amount:</label>
                              <input type="text" class="form-control" id="Amount" name="amount" >
                          </div>
                          <div class="col-md-6">
                            <label for="date" class="form-label">Date:</label>
                            <input type="date" class="form-control" name="ledger_date" value="<?php echo date('Y-m-d'); ?>">
                          </div>
                          <div class="col-md-12">               
                              <label for="description" class="form-label">Description:</label>
                              <textarea class="form-control" rows="3" name="description" id="description" spellcheck="false"></textarea>
                          </div>
                        </div>
                        </div>
                    </div>
                    <div class="modal-footer">
                      <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Close</button>
                      <button type="submit" class="btn btn-primary" name="save_changes">Save Changes</button>
                    </div>
                    </form>
                  </div>
                </div>
              </div><!-- End Extra Large Modal-->                  

              <div class="modal fade" id="delete_modal<?php echo $fetch["recovery_id"]; ?>" tabindex="-1">
                <div class="modal-dialog modal-md">
                  <div class="modal-content">
                    <div class="modal-header">
                      <h5 class="modal-title">Delete TPR Record</h5>
                      <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                    </div>
                    <div class="modal-body">
                      <form method="POST">
                        <div class="row">
                      <div class="col-md-12">
                        <input type="hidden" name="recovery_id" value="<?php echo $fetch["recovery_id"]; ?>">
                        <p>Do you want to delete this discount record?</p>
                      </div>
                      </div>
                    </div>
                    <div class="modal-footer">
                      <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Close</button>
                      <button type="submit" class="btn btn-danger" name="delete">Yes Delete</button>
                    </div>
                    </form>
                  </div>
                </div>
              </div><!-- End Extra Large Modal-->                  

                  </tr>
                  <?php endwhile; ?>               
                </tbody>
              </table>
                </div> 
<div class="dataTable-bottom">
         <?php if (ceil($total_pages / $num_results_on_page) > 0): ?>
        
         <ul class="news">
            <?php if ($page > 1): ?>
            <li class="prev"><a href="tpr.php?page=<?php echo $page-1 ?>">Prev</a></li>
            <?php endif; ?>

            <?php if ($page > 3): ?>
            <li class="start"><a href="tpr.php?page=1">1</a></li>
            <li class="dots">...</li>
            <?php endif; ?>

            <?php if ($page-2 > 0): ?><li class="page"><a href="tpr.php?page=<?php echo $page-2 ?>"><?php echo $page-2 ?></a></li><?php endif; ?>
            <?php if ($page-1 > 0): ?><li class="page"><a href="tpr.php?page=<?php echo $page-1 ?>"><?php echo $page-1 ?></a></li><?php endif; ?>

            <li class="currentpage"><a href="tpr.php?page=<?php echo $page ?>"><?php echo $page ?></a></li>

            <?php if ($page+1 < ceil($total_pages / $num_results_on_page)+1): ?><li class="page"><a href="tpr.php?page=<?php echo $page+1 ?>"><?php echo $page+1 ?></a></li><?php endif; ?>
            <?php if ($page+2 < ceil($total_pages / $num_results_on_page)+1): ?><li class="page"><a href="tpr.php?page=<?php echo $page+2 ?>"><?php echo $page+2 ?></a></li><?php endif; ?>

            <?php if ($page < ceil($total_pages / $num_results_on_page)-2): ?>
            <li class="dots">...</li>
            <li class="end"><a href="tpr.php?page=<?php echo ceil($total_pages / $num_results_on_page) ?>"><?php echo ceil($total_pages / $num_results_on_page) ?></a></li>
            <?php endif; ?>

            <?php if ($page < ceil($total_pages / $num_results_on_page)): ?>
            <li class="next"><a href="tpr.php?page=<?php echo $page+1 ?>">Next</a></li>
            <?php endif; ?>
         </ul>
         <?php endif; ?>
                              </div>                             
            </div>
          </div>
        </div><!-- End Left side columns -->


              <div class="modal fade" id="add_discount" tabindex="-1">
                <div class="modal-dialog modal-xl">
                  <div class="modal-content">
                    <div class="modal-header">
                      <h5 class="modal-title">ADD Recovery</h5>
                      <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                    </div>
                    <div class="modal-body">
                      <form method="POST">
                        <div class="row"> 
                          <div class="col-md-12" bis_skin_checked="1">
                            <label for="distributors_list" class="form-label">Name:</label>
                            <input type="text" name="name" class="form-control">
                          </div>
                          <div class="col-md-12">               
                              <label for="description" class="form-label">Description:</label>
                              <textarea class="form-control" rows="3" name="description" id="description" spellcheck="false"></textarea>
                          </div>                      
                          <div class="col-md-6">
                              <label for="Amount" class="form-label">Amount:</label>
                              <input type="text" class="form-control" id="Amount" name="amount">
                          </div>
                          <div class="col-md-6 mb-2">
                            <label for="date" class="form-label">Date:</label>
                            <input type="date" class="form-control" name="discount_date" value="<?php echo date('Y-m-d'); ?>">
                          </div>
                    </div>
                    <div class="modal-footer">
                      <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Close</button>
                      <button type="submit" class="btn btn-primary" name="add_discount">Add Record</button>
                    </div>
                    </form>
                  </div>
                </div>
              </div><!-- End Extra Large Modal-->          

      </div>
    </section>

  </main><!-- End #main -->

  <?php include "includes/footer.php"; ?>

  <?php include "includes/scripts.php"; ?>
  <style>        
        .news {
            list-style-type: none;
            padding: 10px 0;
            display: inline-flex;
            justify-content: space-between;
            box-sizing: border-box;
         }
         .news li {
            box-sizing: border-box;
            padding-right: 10px;
         }
         .news li a {
            box-sizing: border-box;
            background-color: #e2e6e6;
            padding: 8px;
            text-decoration: none;
            font-size: 12px;
            font-weight: bold;
            color: #616872;
            border-radius: 4px;
         }
         .news li a:hover {
            background-color: #d4dada;
         }
         .news .next a, .news .prev a {
            text-transform: uppercase;
            font-size: 12px;
         }
         .news .currentpage a {
            background-color: #518acb;
            color: #fff;
         }
         .news .currentpage a:hover {
            background-color: #518acb;
         }
         </style>
         <script type="text/javascript">          
             const datatables = select('.datatable', true)
              datatables.forEach(datatable => {
                new simpleDatatables.DataTable(datatable, {
                  perPageSelect: [5, 10, 15, ["All", -1]],
                  "paging": false,
                  columns: [{
                      select: 2,
                      sortSequence: ["desc", "asc"]
                    },
                    {
                      select: 3,
                      sortSequence: ["desc"]
                    },
                    {
                      select: 4,
                      cellClass: "green",
                      headerClass: "red"
                    }
                  ]
                });
              })
         </script>
</body>

</html>
<?php
   $stmt->close();
}
?>