<script type="text/javascript">

	function calculateMinMaxCoordinates(latitude, longitude, radiusInKm) {
    // Earth radius in kilometers
    const earthRadius = 6371;

    // Convert radius from kilometers to radians
    const radiusInRadians = radiusInKm / earthRadius;

    // Convert latitude and longitude from degrees to radians
    const latInRadians = latitude * (Math.PI / 180);
    const lonInRadians = longitude * (Math.PI / 180);

    // Calculate the maximum latitude
    const maxLat = latInRadians + radiusInRadians;

    // Calculate the minimum latitude
    const minLat = latInRadians - radiusInRadians;

    // Calculate the difference in longitude for the given latitude
    const deltaLon = Math.asin(Math.sin(radiusInRadians) / Math.cos(latInRadians));

    // Calculate the maximum longitude
    const maxLon = lonInRadians + deltaLon;

    // Calculate the minimum longitude
    const minLon = lonInRadians - deltaLon;

    // Convert latitudes and longitudes back to degrees
    const maxLatInDegrees = maxLat * (180 / Math.PI);
    const minLatInDegrees = minLat * (180 / Math.PI);
    const maxLonInDegrees = maxLon * (180 / Math.PI);
    const minLonInDegrees = minLon * (180 / Math.PI);

    return {
        maxLatitude: maxLatInDegrees,
        minLatitude: minLatInDegrees,
        maxLongitude: maxLonInDegrees,
        minLongitude: minLonInDegrees
    };
}

// Example usage:
//const latitude = position.coords.latitude;
//const longitude = position.coords.longitude;
const latitude =32.155832;
const longitude = 74.189068;
const radiusInKm = 50;
const { maxLatitude, minLatitude, maxLongitude, minLongitude } = calculateMinMaxCoordinates(latitude, longitude, radiusInKm);

console.log(`Max Latitude: ${maxLatitude}, Min Latitude: ${minLatitude}`);
console.log(`Max Longitude: ${maxLongitude}, Min Longitude: ${minLongitude}`);


</script>

<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<title></title>
</head>
<body>
<input type="text" name="maxLatitude" id="maxLatitude">
<input type="text" name="minLatitude" id="minLatitude">
<input type="text" name="maxLongitude" id="maxLongitude">
<input type="text" name="minLongitude" id="minLongitude">
</body>
</html>

                    
